<%
'---
'--- Module: vbFileManagerInclude.ASP
'---
'--- Include definitions for the SA-FileManager component in VBScript
'---
'--- Copyright (c) 1998, 1999 Software Artisans, Inc.
'--- Mail: info@softartisans.com   http://www.softartisans.com

'--- Part I: File Attributes
Dim saNormal
Dim saReadOnly
Dim saHidden
Dim saSystem
Dim saVolume
Dim saDirectory
Dim saArchive
Dim saAlias
Dim saCompressed

saNormal = 0
saReadOnly = 1
saHidden = 2
saSystem = 4
saVolume = 8
saDirectory = 16
saArchive = 32
saAlias = 64
saCompressed = 2048

Function AttributesToText (iAttributes)
'--- This function will convert file attributes to English readable text
'--- Usage: msg = AttributesToText(oFile.Attributes)
	Dim oText
	oText = ""
	if iAttributes And saReadonly	Then oText = oText & "Read-only "
	if iAttributes And saHidden		Then oText = oText & "Hidden "
	if iAttributes And saSystem		Then oText = oText & "System "
	if iAttributes And saVolume		Then oText = oText & "Volume "
	if iAttributes And saDirectory	Then oText = oText & "Directory "
	if iAttributes And saArchive	Then oText = oText & "Archive "
	if iAttributes And saAlias		Then oText = oText & "Alias "
	if iAttributes And saCompressed	Then oText = oText & "Compressed "

	AttributesToText = oText
End Function

'--- Part II: File Permissions
Dim saNoAccess
Dim saRead
Dim saWrite
Dim saExecute
Dim saDelete
Dim saPermissions
Dim saOwner
Dim saFull

saNoAccess = 1
saRead = 2
saWrite = 4
saExecute = 8
saDelete = 16
saPermissions = 32
saOwner = 64
saFull = 126


'--- Part III: Logon User Types

Dim saLogonInteractive
Dim saLogonNetwork
Dim saLogonBatch
Dim saLogonService

saLogonInteractive = 2
saLogonNetwork = 3
saLogonBatch = 4
saLogonService = 5

'--- Part IV: Drive Types
Dim	Unknown
Dim	Removable
Dim	Fixed
Dim	Remote
Dim	CDRom
Dim	RamDisk

Unknown		= 0
Removable	= 1
Fixed		= 2
Remote		= 3
CDRom		= 4
RamDisk		= 5

Function DriveTypesToText (iDriveType)
'--- This function will convert DriveTypes to English readable text
'--- Usage: msg = DriveTypesToText(oDrive.DriveType)
	Dim oText
	oText = ""
	if iDriveType = Unknown		Then oText = oText & "Unknown"
	if iDriveType = Removable	Then oText = oText & "Removable"
	if iDriveType = Fixed		Then oText = oText & "Fixed"
	if iDriveType = Remote		Then oText = oText & "Remote"
	if iDriveType = CDRom		Then oText = oText & "CDRom"
	if iDriveType = RamDisk		Then oText = oText & "RamDisk"

	DriveTypesToText = oText
End Function


'IOMode
Const ForReading		= 1 ' Open a file for reading only. You can't write to this file. 
Const ForWriting		= 2 ' Open a file for writing.
Const ForAppending		= 8 ' Open a file and write to the end of the file. 

'Format
Const TristateUseDefault	= -2 'Opens the file using the system default. 
Const TristateTrue			= -1 'Opens the file as Unicode. 
Const TristateFalse			= 0  '(Default) Opens the file as ASCII.


%>
